package com.sifang.modules.partner.dto;

public class InputPieceComponent {
    /**
     * 电池参数: 1.N型 2.P型
     */
    private String battery_param;
    private String brand;
    /**
     * 组件玻型:1.单玻 2.双玻
     */
    private String component_shape;
    private String item_code;
    private String item_id;
    /**
     * 1.逆变器 2.并网箱 3.组件
     */
    private String item_type;
    /**
     * 物料规格/组件功率
     */
    private String material_model;
    private String name;
    /**
     * 物料数量
     */
    private String num;
    /**
     * 物料型号
     */
    private String specs;
    private String unit;

    public String getBatteryParam() { return battery_param; }
    public void setBatteryParam(String value) { this.battery_param = value; }

    public String getBrand() { return brand; }
    public void setBrand(String value) { this.brand = value; }

    public String getComponentShape() { return component_shape; }
    public void setComponentShape(String value) { this.component_shape = value; }

    public String getItemCode() { return item_code; }
    public void setItemCode(String value) { this.item_code = value; }

    public String getItemid() { return item_id; }
    public void setItemid(String value) { this.item_id = value; }

    public String getItemType() { return item_type; }
    public void setItemType(String value) { this.item_type = value; }

    public String getMaterialModel() { return material_model; }
    public void setMaterialModel(String value) { this.material_model = value; }

    public String getName() { return name; }
    public void setName(String value) { this.name = value; }

    public String getNum() { return num; }
    public void setNum(String value) { this.num = value; }

    public String getSpecs() { return specs; }
    public void setSpecs(String value) { this.specs = value; }

    public String getUnit() { return unit; }
    public void setUnit(String value) { this.unit = value; }
}